com.google.gwt.animation.client

## Class AnimationScheduler.AnimationSupportDetector

- java.lang.Object
- - com.google.gwt.animation.client.AnimationScheduler.AnimationSupportDetector

Enclosing class:
  AnimationScheduler

    public static class AnimationScheduler.AnimationSupportDetector
    extends java.lang.Object

Helper to detect native support for animations.

Note: This class solely exists to provide opportunity for mocking frameworks to intercept the native call.

### Constructor Summary

Constructors
Constructor and Description
`AnimationSupportDetector()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isNativelySupported()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnimationSupportDetector

    public AnimationSupportDetector()

### Method Detail

#### isNativelySupported

    public boolean isNativelySupported()